#
# spec file for package perl-accessors
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           perl-accessors
Version:        1.01
Release:        1.1
License:        GPL+ or Artistic
%define cpan_name accessors
Summary:        create accessor methods in caller's package.
Url:            http://search.cpan.org/dist/accessors/
Group:          Development/Libraries/Perl
Source:         http://www.cpan.org/authors/id/S/SP/SPURKIS/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Module::Build) >= 0.20
#BuildRequires: perl(accessors)
#BuildRequires: perl(accessors::chained)
#BuildRequires: perl(accessors::classic)
#BuildRequires: perl(accessors::ro)
#BuildRequires: perl(accessors::rw)
%{perl_requires}

%description
The *accessors* pragma lets you create simple accessors at compile-time.

This saves you from writing them by hand, which tends to result in
_cut-n-paste_ errors and a mess of duplicated code. It can also help you
reduce the ammount of unwanted _direct-variable access_ that may creep into
your codebase when you're feeling lazy. *accessors* was designed with
laziness in mind.

Method-chaining accessors are generated by default. Note that you can still
use the accessors::chained manpage directly for reasons of backwards
compatability.

See the accessors::classic manpage for accessors that always return the
current value if you don't like method chaining.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f -print0 | xargs -0 chmod 644

%build
%{__perl} Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README TODO

%changelog
* Mon Oct 10 2011 coolo@suse.com
- initial package 1.01
  * created by cpanspec 1.78.06
